Subject: Re: [RFC PATCH 0/2] fetch --prune performance problem

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Jun 2025 10:18:03 -0700

Jeff King <[email-masked]> writes:

> The final fetch output looks like:
>
>    - [deleted]         (none)     -> origin/branches
>    - [deleted]         (none)     -> origin/main
>      (refs/remotes/origin/HEAD has become dangling)
>    - [deleted]         (none)     -> origin/other
>
> and we can see that the deletion of "main" is what caused the dangling.
>
> That said, I'm not sure I care that much. I didn't even know we had this
> dangling message, and it's been around for over 15 years!

Same here.  I agree that the new output, while it may look prettier,
loses information.  I agree with your conclusion that the user who
really cares can check with symbolic-ref themselves.